scalar DateTime

schema {
    query: Query
    mutation: Mutation
}

type Query {

    getQuiz(id: ID!): Quiz
  getQuizPage(id: ID!): QuizPage
  getQuizPageAnswer(id: ID!): QuizPageAnswer
    getQuizes: [Quiz]
  getQuizPages: [QuizPage]
  getQuizPageAnswers: [QuizPageAnswer]

}

type Mutation {

    changeQuiz(id: ID input: QuizInput): Quiz
  changeQuizPage(id: ID input: QuizPageInput): QuizPage
  changeQuizPageAnswer(id: ID input: QuizPageAnswerInput): QuizPageAnswer

  deleteQuiz(id: ID!): Boolean
  deleteQuizPage(id: ID!): Boolean
  deleteQuizPageAnswer(id: ID!): Boolean
}

##InfoBlock

input QuizInput {
  title: String
  start_page_id: ID
}

type Quiz {
  _id: ID
  title: String
  pages: [QuizPage]
  start_page: QuizPage
}

input QuizPageInput {
  _id: ID
  quiz_id: ID
  description: String
}

input QuizPageAnswerInput {
  title: String
  page_id: ID
  target_page_id: ID
  sort: Int
}

type QuizPage {
  _id: ID
  description: String
  answers: [QuizPageAnswer]
  quiz: Quiz
}

type QuizPageAnswer {
  _id: ID
  title: String
  sort: Int
  target_page: QuizPage
  page: QuizPage
}